ruby2.6-rubygem-thor-0.20.3-1.3.x86_64.rpm


Advertisement

Description

ruby2.6-rubygem-thor - Thor is a toolkit for building powerful command-line interfaces

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-thor-0.20.3-1.3.x86_64.rpm
Package name ruby2.6-rubygem-thor
Package version 0.20.3
Package release 1.3
Package architecture x86_64
Package type rpm
Category Development/Languages/Ruby
Homepage http://whatisthor.com/
License MIT
Maintainer -
Download size 114.23 KB
Installed size 238.35 KB
Thor is a toolkit for building powerful command-line interfaces.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-thor-0.20.3-1.3.i586.rpm 0.20.3 i586 openSUSE Oss
ruby2.6-rubygem-thor - - -

Requires

Name Value
/usr/bin/ruby.ruby2.6 -
ruby(abi) = 2.6.0
update-alternatives -

Provides

Name Value
ruby2.6-rubygem-thor = 0.20.3-1.3
ruby2.6-rubygem-thor(x86-64) = 0.20.3-1.3
rubygem(ruby:2.6.0:thor) = 0.20.3
rubygem(ruby:2.6.0:thor:0) = 0.20.3
rubygem(ruby:2.6.0:thor:0.20) = 0.20.3
rubygem(ruby:2.6.0:thor:0.20.3) = 0.20.3
rubygem(thor) = 0.20.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-thor-0.20.3-1.3.x86_64.rpm
Source Package rubygem-thor-0.20.3-1.3.src.rpm

Install Howto

Install ruby2.6-rubygem-thor rpm package:

# zypper install ruby2.6-rubygem-thor

Files

Path
/etc/alternatives/thor
/etc/alternatives/thor-0.20.3
/etc/alternatives/thor.ruby2.6
/usr/bin/thor
/usr/bin/thor-0.20.3
/usr/bin/thor.ruby2.6
/usr/bin/thor.ruby2.6-0.20.3
/usr/lib64/ruby/gems/2.6.0/cache/thor-0.20.3.gem
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/.document
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/CHANGELOG.md
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/CONTRIBUTING.md
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/LICENSE.md
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/README.md
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/thor.gemspec
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/bin/thor
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/actions.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/base.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/command.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/error.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/group.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/invocation.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/line_editor.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/parser.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/rake_compat.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/runner.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/shell.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/util.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/version.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/actions/create_file.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/actions/create_link.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/actions/directory.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/actions/empty_directory.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/actions/file_manipulation.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/actions/inject_into_file.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/core_ext/hash_with_indifferent_access.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/core_ext/io_binary_read.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/core_ext/ordered_hash.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/line_editor/basic.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/line_editor/readline.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/parser/argument.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/parser/arguments.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/parser/option.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/parser/options.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/shell/basic.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/shell/color.rb
/usr/lib64/ruby/gems/2.6.0/gems/thor-0.20.3/lib/thor/shell/html.rb
/usr/lib64/ruby/gems/2.6.0/specifications/thor-0.20.3.gemspec
/usr/share/doc/packages/ruby2.6-rubygem-thor/CHANGELOG.md
/usr/share/doc/packages/ruby2.6-rubygem-thor/LICENSE.md
/usr/share/doc/packages/ruby2.6-rubygem-thor/README.md

Changelog

2018-11-12 - mschnitzer@suse.com
- updated to version 0.20.3
* Support old versions of `did_you_mean`.
[#] from version 0.20.2
* Fix `did_you_mean` support.
[#] from version 0.20.1
* Support new versions fo ERB.
* Fix `check_unknown_options!` to not check the content that was not parsed, i.e. after a `--` or after the first unknown with `stop_on_unknown_option!`
* Add `did_you_mean` support.
2017-08-21 - mschnitzer@suse.com
- updated to version 0.20.0
* Add check_default_type! to check if the default value of an option
matches the defined type. It removes the warning on usage and gives
the command authors the possibility to check for programming errors.
* Add disable_required_check! to disable check for required options in
some commands. It is a substitute of disable_class_options that was
not working as intended.
* Add inject_into_module.
2016-12-09 - coolo@suse.com
- updated to version 0.19.4
see installed CHANGELOG.md
2016-11-27 - coolo@suse.com
- updated to version 0.19.3
see installed CHANGELOG.md
[#]# 0.19.1, release 2014-03-24
* Fix `say` non-String break regression
[#]# 0.19.0, release 2014-03-22
* Add support for a default to #ask
* Avoid @namespace not initialized warning
* Avoid private attribute? warning
* Fix initializing with unknown options
* Loosen required_rubygems_version for compatibility with Ubuntu 10.04
* Shell#ask: support a noecho option for stdin
* Shell#ask: change API to be :echo => false
* Display a message without a stack trace for ambiguous commands
* Make say and say_status thread safe
* Dependency for console io version check
* Alias --help to help on subcommands
* Use mime-types 1.x for Ruby 1.8.7 compatibility for Ruby 1.8 only
* Accept .tt files as templates
* Check if numeric value is in enum
* Use Readline for user input
* Fix dispatching of subcommands (concerning :help and *args)
* Fix warnings when running specs with `$VERBOSE = true`
* Make subcommand help more consistent
* Make the current command chain accessible in command
2014-10-23 - tboerger@suse.com
- Updated last pieces for new macros (fate#318281, boo#1041418)
2014-10-13 - adrian@suse.de
- adapt to new rubygem packaging style
2014-03-24 - coolo@suse.com
- updated to version 0.19.1, no changelog
2014-03-23 - coolo@suse.com
- updated to version 0.19.0, no changelog
2013-07-20 - coolo@suse.com
- fix update-alternatives usage
2013-04-12 - coolo@suse.com
- updated to version 0.18.1

See Also

Package Description
ruby2.6-rubygem-thor-0_19-0.19.4-1.3.i586.rpm Thor is a toolkit for building powerful command-line interfaces
ruby2.6-rubygem-thor-0_19-0.19.4-1.3.x86_64.rpm Thor is a toolkit for building powerful command-line interfaces
ruby2.6-rubygem-thor-doc-0.20.3-1.3.i586.rpm RDoc documentation for thor
ruby2.6-rubygem-thor-doc-0.20.3-1.3.x86_64.rpm RDoc documentation for thor
ruby2.6-rubygem-thor-doc-0_19-0.19.4-1.3.i586.rpm RDoc documentation for thor
ruby2.6-rubygem-thor-doc-0_19-0.19.4-1.3.x86_64.rpm RDoc documentation for thor
ruby2.6-rubygem-thread_safe-0.3.6-1.9.i586.rpm Thread-safe collections and utilities for Ruby
ruby2.6-rubygem-thread_safe-0.3.6-1.9.x86_64.rpm Thread-safe collections and utilities for Ruby
ruby2.6-rubygem-thread_safe-doc-0.3.6-1.9.i586.rpm RDoc documentation for thread_safe
ruby2.6-rubygem-thread_safe-doc-0.3.6-1.9.x86_64.rpm RDoc documentation for thread_safe
ruby2.6-rubygem-thread_safe-testsuite-0.3.6-1.9.i586.rpm Test suite for thread_safe
ruby2.6-rubygem-thread_safe-testsuite-0.3.6-1.9.x86_64.rpm Test suite for thread_safe
ruby2.6-rubygem-tilt-1_1-1.1-13.15.i586.rpm Generic interface to multiple Ruby template engines
ruby2.6-rubygem-tilt-1_1-1.1-13.15.x86_64.rpm Generic interface to multiple Ruby template engines
ruby2.6-rubygem-tilt-1_4-1.4.1-2.13.i586.rpm Generic interface to multiple Ruby template engines
Advertisement
Advertisement